> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 倒計時取消訂單

> 設定訂單心跳倒計時自動撤單

設定訂單心跳倒計時，到期時自動取消相關掛單。


## OpenAPI

````yaml openapi/perpdex-zh-TW.yaml POST /dex_futures/{settle}/countdown_cancel_all
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永續合約公開行情與市場資料
  - name: 風險資料
    description: 風險限額與市場強平資料
  - name: 帳戶
    description: 帳戶與費率
  - name: 持倉
    description: 持倉查詢與管理
  - name: 訂單
    description: 訂單、成交與批量交易
paths:
  /dex_futures/{settle}/countdown_cancel_all:
    post:
      tags:
        - 訂單
      summary: 倒計時取消訂單
      description: 設定訂單心跳倒計時；到期前未重新設定或取消時，將自動取消相關掛單。
      operationId: countdownCancelPerpOrders
      parameters:
        - $ref: '#/components/parameters/Settle'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CountdownRequest'
      responses:
        '200':
          description: 設定成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountdownResult'
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 結算幣種
      schema:
        type: string
        enum:
          - usdt
      example: usdt
  schemas:
    CountdownRequest:
      type: object
      required:
        - timeout
      properties:
        timeout:
          type: integer
          format: int32
          minimum: 0
          description: 倒計時時間，單位秒；0 表示取消倒計時
        contract:
          type: string
          description: 永續合約，不傳則作用於全部市場
    CountdownResult:
      type: object
      properties:
        triggerTime:
          type: integer
          format: int64
          description: 倒計時觸發時間，毫秒
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 時間戳（秒），與目前時間差不得超過 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 對簽名字串執行 HMAC-SHA512 後的十六進制簽名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.